----------------------------------------------------------------
--                                                              
--  File:   Drop_and_Create_TPCE_INFO.SQL                       
--          Microsoft TPC-E Benchmark Kit Ver. 1.14.0-1031      
--          Copyright Microsoft, 2008-2015                  
--                                                              
----------------------------------------------------------------
USE	tpce
GO

IF EXISTS (SELECT  name
           FROM    sysobjects
           WHERE   name    = 'TPCE_INFO' AND
                   type    = 'U')
    DROP TABLE TPCE_INFO

-- Now rebuild the TPCE_INFO TABLE
CREATE TABLE TPCE_INFO
    (   INFO_DATE                   datetime,
        EGEN_VERSION                varchar(6),
        MS_KIT_VERSION              varchar(12),
        NUM_BROKER                  numeric(15),
        NUM_CUSTOMER                numeric(15),
        NUM_CUSTOMER_TAXRATE        numeric(15),
        NUM_CUSTOMER_ACCOUNT        numeric(15),
        NUM_ACCOUNT_PERMISSION      numeric(15),
        NUM_WATCH_LIST              numeric(15),
        NUM_WATCH_ITEM              numeric(15),
        NUM_CHARGE                  numeric(15),
        NUM_COMMISSION_RATE         numeric(15),
        NUM_CASH_TRANSACTION        numeric(15),
        NUM_HOLDING                 numeric(15),
        NUM_HOLDING_HISTORY         numeric(15),
        NUM_HOLDING_SUMMARY         numeric(15),
        NUM_SETTLEMENT              numeric(15),
        NUM_TRADE                   numeric(15),
        NUM_TRADE_HISTORY           numeric(15),
        NUM_TRADE_REQUEST           numeric(15),
        NUM_TRADE_TYPE              numeric(15),
        NUM_COMPANY                 numeric(15),
        NUM_COMPANY_COMPETITOR      numeric(15),
        NUM_DAILY_MARKET            numeric(15),
        NUM_EXCHANGE                numeric(15),
        NUM_FINANCIAL               numeric(15),
        NUM_INDUSTRY                numeric(15),
        NUM_LAST_TRADE              numeric(15),
        NUM_NEWS_ITEM               numeric(15),
        NUM_NEWS_XREF               numeric(15),
        NUM_SECTOR                  numeric(15),
        NUM_SECURITY                numeric(15),
        NUM_ADDRESS                 numeric(15),
        NUM_STATUS_TYPE             numeric(15),
        NUM_TAXRATE                 numeric(15),
        NUM_ZIP_CODE                numeric(15),
        MAX_T_ID                    numeric(18))
GO
